# Foxglove Bridge Configuration
# ROS2 parameter format for foxglove_bridge node
# https://github.com/foxglove/foxglove-sdk/blob/main/ros/src/foxglove_bridge/README.md
#
# Override this config on Xavier by volume-mounting in docker-compose:
#   volumes:
#     - ./foxglove_config.yaml:/app/colcon_ws/install/nav_launch/share/nav_launch/config/foxglove_config.yaml

/**/foxglove_bridge:
  ros__parameters:
    # ========================================================================
    # Topic Whitelisting (Regex Patterns)
    # ========================================================================
    # Default: [".*"] allows all topics
    # To restrict, replace with specific regex patterns.

    topic_whitelist: [".*"]  # Allow all topics (permissive default)

    # Example restricted whitelist for navigation:
    # topic_whitelist:
    #   - "^/scan$"
    #   - "^/velodyne_points$"
    #   - "^/tf$"
    #   - "^/tf_static$"
    #   - "^/cmd_vel$"
    #   - "^/gx5/imu/data$"
    #   - "^/gx5/nav/odom$"
    #   - "^/global_costmap/costmap$"
    #   - "^/local_costmap/costmap$"
    #   - "^/plan$"
    #   - "^/lio_sam/.*$"
    #   - "^/diagnostics$"

    # ========================================================================
    # Service & Parameter Whitelisting
    # ========================================================================

    param_whitelist: [".*"]
    service_whitelist: [".*"]

    # ========================================================================
    # Network Configuration
    # ========================================================================

    port: 8765
    address: "0.0.0.0"

    # ========================================================================
    # Performance Settings
    # ========================================================================

    num_threads: 0
    min_qos_depth: 1
    max_qos_depth: 25
    use_compression: true

    # ========================================================================
    # QoS Override
    # ========================================================================

    best_effort_qos_topic_whitelist:
      - "^/tf$"

    # ========================================================================
    # Capabilities
    # ========================================================================

    capabilities: ["clientPublish", "connectionGraph", "time"]
    use_sim_time: false
    include_hidden: false
